### Method

# Fwupd Report set_distro_id

#### Declaration [src]

    void
    fwupd_report_set_distro_id (
      FwupdReport* self,
      const gchar* distro_id
    )

#### Description [src]

Sets the distribution name.

Available since: | 1.8.8

#### Parameters

`distro_id` | `const gchar*`
| The name, e.g. `fedora`
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.